> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campaigncleaner.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Inbox Test

> The **create_inbox_test** API allows you to create a new inbox placement test. Once created, you will receive a list of seed email addresses to send your campaign to. After sending your campaign to all addresses in the **send_to** list, you can use the **get_inbox_test_results** API to retrieve the placement results.

This endpoint requires an active Campaign Cleaner subscription or a standalone Inbox Placement Tester subscription. One API credit will be deducted per test created.
#### Header:
**X-CC-API-Key**: Your API Key
#### Request Body:
_Required:_
- **test_name**: The name of your inbox test - maximum 255 characters.
#### Response:
- **job_id**: The unique ID of the inbox test, used to retrieve results via the **get_inbox_test_results** API.
- **test_name**: The name you provided for the test.
- **mailtester_address**: The unique monitoring address that must be included in your send list. This is already included in the **send_to** array.
- **instructions**: A description of what to do next.
- **send_to**: An array of all seed email addresses including the **mailtester_address**. Send your campaign to every address in this list.

In the event of an error, you will get an "**error**:" response with a description of the reason.



## OpenAPI

````yaml POST /v1/create_inbox_test
openapi: 3.0.0
info:
  title: API DOCUMENTATION
  description: >-


    [Campaign Cleaner](https://campaigncleaner.com) is the leader in ensuring
    that your campaigns don't affect your IP and Domain reputation, it's the
    most advanced toolset you'll find that gives you all the tools you need to
    keep your campaigns within acceptable ratios of many email and spam
    filtering software and automatically fixes your HTML by sanitizing all
    non-email friendly attributes and inlines all your CSS to be compatible with
    every email client.


    We offer a robust collection of API's to allow you to integrate its
    functionality into your email marketing software and tools.


    The **{{api_key}}** is located in your account on [Campaign
    Cleaner](https://campaigncleaner.com) under **API Management API Keys.**


    Use the navigation on the left to access the different API Endpoints.
  version: 1.0.0
servers:
  - url: https://api.campaigncleaner.com
security: []
paths:
  /v1/create_inbox_test:
    post:
      tags:
        - Campaign Cleaner
      summary: Create Inbox Test
      description: >-
        The **create_inbox_test** API allows you to create a new inbox placement
        test. Once created, you will receive a list of seed email addresses to
        send your campaign to. After sending your campaign to all addresses in
        the **send_to** list, you can use the **get_inbox_test_results** API to
        retrieve the placement results.


        This endpoint requires an active Campaign Cleaner subscription or a
        standalone Inbox Placement Tester subscription. One API credit will be
        deducted per test created.

        #### Header:

        **X-CC-API-Key**: Your API Key

        #### Request Body:

        _Required:_

        - **test_name**: The name of your inbox test - maximum 255 characters.

        #### Response:

        - **job_id**: The unique ID of the inbox test, used to retrieve results
        via the **get_inbox_test_results** API.

        - **test_name**: The name you provided for the test.

        - **mailtester_address**: The unique monitoring address that must be
        included in your send list. This is already included in the **send_to**
        array.

        - **instructions**: A description of what to do next.

        - **send_to**: An array of all seed email addresses including the
        **mailtester_address**. Send your campaign to every address in this
        list.


        In the event of an error, you will get an "**error**:" response with a
        description of the reason.
      parameters:
        - name: X-CC-API-Key
          in: header
          schema:
            type: string
          example: '{{api_key}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                test_name:
                  type: string
              example:
                test_name: My Campaign Inbox Test
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                job_id: '12345'
                test_name: My Campaign Inbox Test
                mailtester_address: mailtest+a1b2c3d4@campaigncleaner.com
                instructions: >-
                  Send your campaign to ALL addresses in the send_to list.
                  Results will be available via get_inbox_test_results once
                  processing is complete.
                send_to:
                  - seed1@gmail.com
                  - seed2@yahoo.com
                  - seed3@outlook.com
                  - mailtest+a1b2c3d4@campaigncleaner.com

````